Page MenuHomePhabricator

Color-coded WikiText editing
Closed, ResolvedPublic

Description

This card tracks a proposal that's currently part of the Community Wishlist Survey: https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey

The Wishlist Survey voting phase lasts until Dec 14th. After the voting has concluded, the top proposals will form the backlog for the Community Tech team to investigate and address.

See also T101246: Highlighted wikisyntax while editing articles [AOI] and T104479: Provide a modern wikitext editor , which may overlap/duplicate.

Proposal:

There have been some experiments around color-coded WikiText editing (including an English Wikipedia gadget and a working implementation in the Android app). This could be made into a real feature of the WikiEditor extension.

https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey/Editing#Color-coded_WikiText_editing

Event Timeline

DannyH created this task.Dec 4 2015, 10:33 PM
DannyH raised the priority of this task from to Needs Triage.
DannyH updated the task description. (Show Details)
DannyH moved this task to Wishlist 51-on on the Community-Wishlist-Survey-2015 board.
DannyH added a subscriber: DannyH.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 4 2015, 10:33 PM
DannyH closed this task as Resolved.Dec 7 2015, 10:13 PM
DannyH claimed this task.
DannyH edited projects, added Community-Tech; removed Community-Wishlist-Survey-2015.
DannyH set Security to None.
DannyH moved this task from Untriaged to Archive on the Community-Tech board.Dec 8 2015, 6:54 PM